#include <avr/io.h>
//Init PD5 and PD6 pins as output
void InitPort(void)
{
//set PD5 and PD6 as output
DDRD|=(1<<PD6)|(1<<PD5);
}
//Initialize Timer0
void InitTimer0(void)
{
//Set Initial Timer value
TCNT0=0;
//Place compare values to Output compare registers
OCR0A=191;
OCR0B=63;
//Set fast PWM mode
//and make clear OC0A and set OC0B on compare match
TCCR0A|=(1<<COM0A1)|(1<<COM0B1)|(1<<COM0B0)|(1<<WGM01)|(1<<WGM00);
}
void StartTimer0(void)
{
//Set prescaller 64 and start timer
TCCR0B|=(1<<CS01)|(1<<CS00);
}
int main(void)
{
InitPort();
InitTimer0();
StartTimer0();
	while(1)
	{
		//doing nothing 	
	}
}
